# Drupal name: Carbon impact evaluator 1.x

## CONTENTS OF THIS FILE

- Introduction
- Installation
- Simple setup
- Maintainers

## INTRODUCTION

The **module Carbon impact evaluator** is designed to measure the carbon emissions associated with a website. To conduct this assessment, the module uses the **CO2.js** library from the **Green Web Foundation**, which offers two distinct methodologies for calculating emissions: **"Sustainable Web Design"** e **"OneByte"**.

The **"Sustainable Web Design"** model is based on data transfer as an indicator of energy resource usage. It uses this data to extrapolate the site's energy consumption values as a fraction of the expected energy for a total system. This approach allows for a more detailed understanding of the environmental impact related to data traffic.

In contrast, the **"OneByte"** model calculates CO2 emissions based on the amount of data in bytes. This metric provides a direct perspective on how each byte transferred contributes to the application's carbon footprint. Flexibility is a feature of this module, as users have the option to implement both models or just one, depending on their needs.

After installing the module, it is necessary to add the corresponding block to a region of the site's pages, enabling the impact calculations to be performed. Users can view a summary of the carbon impact of various pages by accessing the URL **/carbon-impact-evaluator/table**. This page contains a table that records the carbon emissions for the different pages of the site, considering only visits made after the module was installed.

For more details about the CO2.js library, it is recommended to visit the official link: [Green Web Foundation CO2.js](https://developers.thegreenwebfoundation.org/co2js/overview/).

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## CONFIGURATION

- Configuration step #1: Go to Configurations > Web services > Carbon Impact Evaluator Settings.
- Configuration step #2: Avtivate the modelds you wich to make available in your website.
- Configuration step #3: Indicate whether the host of your site is a Green host or not.
- Configuration step #4: If you have activated the "Sustainable Web Design" (Per Visit), also fill in the Datacentre
  country field with the ISO alpha-3 code of the country in which your datacentre is available.
- Configuration step #5: Structure > Block layout and add the block to the region you wich it appears.
- Configuration step #6: In the block configuration, in the pages section indicate that you want to hide the block
  for the following page "/carbon-impact-evaluator/table". This will prevent the calculations from being made for the page with the CO2 impact accounting table for the site.

## MAINTAINERS

Current maintainers for Drupal 11:

- Cláudia Desidério (claudiadesiderio) - https://www.drupal.org/u/claudiadesiderio
- João Silva (joao silva) - https://www.drupal.org/u/joao-silva
- Tiago Velasques (tmiguelv): https://www.drupal.org/u/tmiguelv
- Sara Barroso (sara_asb): https://www.drupal.org/u/sara_asb
- Ricardo Tenreiro (ricardotenreiro): https://www.drupal.org/u/ricardotenreiro
- Nelson Alves (nsalves): https://www.drupal.org/u/nsalves

This project has been sponsored by:

- NTT DATA
  NTT DATA – a part of NTT Group – is a trusted global innovator of IT and business services headquartered in Tokyo.
  NTT is one of the largest IT services provider in the world and has 140,000 professionals, operating in more than 50 countries.
  NTT DATA supports clients in their digital development through a wide range of consulting and strategic advisory services, cutting-edge technologies, applications, infrastructure, modernization of IT and BPOs.
  We contribute with vast experience in all sectors of economic activity and have extensive knowledge of the locations in which we operate.
