<?php

declare(strict_types=1);

namespace Drupal\carbon_impact_evaluator\Plugin\Block;

use Drupal\Core\Block\Annotation\Block;
use Drupal\Core\Block\BlockBase;

/**
 * Provides a carbon impact evaluation block.
 *
 * @Block(
 *   id = "carbon_impact_evaluator_carbon_impact_evaluation_block",
 *   admin_label = @Translation("Carbon impact evaluation block"),
 *   category = @Translation("Custom")
 * )
 */
final class CarbonImpactEvaluationBlockBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    return [
      '#theme' => 'carbon_impact_evaluator_block',
      '#attached' => [
        'library' => ['carbon_impact_evaluator/carbon_impact_evaluator'],
      ],
    ];
  }

}